# opentl::models::Oscillatory Class Reference

Implemented class Continuous White Noise Acceleration (CWNA) motion model. More...

Inherits opentl::models::LinearARModels.

List of all members.

## Public Member Functions
| Oscillatory (boost::shared_ptr< opentl::core::State > stateTemplate, math::Matrix *matB=NULL, double deltaT=1.0)
| Constructor.
void | setDampingParameters (math::Vector &beta, math::Vector &rho)
| Set damping parameters (one per degree of freedom).
void | setOscillationFrequency (math::Vector &freq)
| Set oscillation frequencies (one per degree of freedom).
virtual void | updateMatrices ()
| Update internal matrices (mMatA, mMatW, mMatQw) according to the real time lag.
virtual | ~Oscillatory ()
| Destructor.

## Detailed Description

Implemented class Continuous White Noise Acceleration (CWNA) motion model.

Author:
  Erwin Roth, erwin.roth@weihenstephan.org; Giorgio Panin, panin@in.tum.de

## Constructor & Destructor Documentation

opentl::models::Oscillatory::Oscillatory | ( | boost::shared_ptr< opentl::core::State > | stateTemplate,
|  | math::Matrix * | matB = `NULL`,
|  | double | deltaT = `1.0` |
| ) |  |  |

Constructor.

Parameters:

  | stateTemplate | The state representation this model is using.
  | matB | Optional: input matrix B
  | deltaT | Optional: (default=deltaT is dynamic).

virtual opentl::models::Oscillatory::~Oscillatory | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void opentl::models::Oscillatory::setDampingParameters | ( | math::Vector & | beta,
|  | math::Vector & | rho |
| ) |  |  |

Set damping parameters (one per degree of freedom).

Parameters:

  | beta | Damping coefficients
  | rho | Envelope

void opentl::models::Oscillatory::setOscillationFrequency | ( | math::Vector & | freq | ) |

Set oscillation frequencies (one per degree of freedom).

Parameters:

  | freq | Oscillation frequencies

virtual void opentl::models::Oscillatory::updateMatrices | ( |  | ) | `[virtual]`

Update internal matrices (mMatA, mMatW, mMatQw) according to the real time lag.

Implements opentl::models::LinearARModels.